using SecuritySystemContracts.Attributes;
using SecuritySystemDataModels.Models;
using System.ComponentModel;

namespace SecuritySystemContracts.ViewModels
{
    public class MessageInfoViewModel : IMessageInfoModel
    {
        [Column(visible: false)]
        public string MessageId { get; set; } = string.Empty;
        [Column(visible: false)]
        public int? ClientId { get; set; } = null;
        [Column(title: "Отправитель", width: 200)]
        public string SenderName { get; set; } = string.Empty;
        [Column(title: "Дата получения", width: 50)]
        public DateTime DateDelivery { get; set; } = DateTime.Now;
        [Column(title: "Тема", width: 200)]
        public string Subject { get; set; } = string.Empty;
        [Column(title: "Текст", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string Body { get; set; } = string.Empty;
        [Column(visible: false)]
        public int Id => throw new NotImplementedException();
    }
}
